#common makefile header
PROJECT_DIR := $(shell pwd)
PROM    = eq_drc_process
#CXXFLAGS ?= -fPIC -O3 -I$(PROJECT_DIR) -lasound -lm -lhiredis -lpthread
CXXFLAGS =  -lasound -lm -lhiredis -lpthread -lcjson -liniparser
OBJ =  main.o 
$(PROM): $(OBJ)
	$(CXX) -o $(PROM) $(OBJ) $(CXXFLAGS)
%.o: %.c
	$(CXX) -c $< -o $@ $(CXXFLAGS)
clean:
	@rm -rf $(OBJ) $(PROM)
install:
	sudo install -D -m 755 eq_drc_process -t /usr/bin/
